package com.bonus.core.device.manage.controller.deprecated.dto;

import io.swagger.annotations.ApiModelProperty;

public class MacMqBatchMsgDTO<T> {
   @ApiModelProperty("批次id，批量推送时批次id不变")
   private String batchId;
   @ApiModelProperty("（批量推送）是否结束")
   private Boolean finish = true;
   @ApiModelProperty("数据")
   private T data;

   public static <T> MacMqBatchMsgDTO<T> of(String batchId, T data) {
      MacMqBatchMsgDTO<T> msg = new MacMqBatchMsgDTO();
      msg.setBatchId(batchId);
      msg.setData(data);
      return msg;
   }

   public String getBatchId() {
      return this.batchId;
   }

   public Boolean getFinish() {
      return this.finish;
   }

   public T getData() {
      return this.data;
   }

   public void setBatchId(final String batchId) {
      this.batchId = batchId;
   }

   public void setFinish(final Boolean finish) {
      this.finish = finish;
   }

   public void setData(final T data) {
      this.data = data;
   }
}
